import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增广告发布储存
    addAdvertisingStorage(data) {
        return request({
            url: '/system/advertising/addActivity',
            method: 'post',
            data
        })
    },
    //删除广告发布储存
    delAdvertisingStorage(data) {
        return request({
            url: '/system/advertising/deleteActivity',
            method: 'post',
            data
        })
    },
    //查询广告发布储存列表
    inquireAdvertisingStorage(data) {
        return request({
            url: '/system/advertising/list',
            method: 'get',
            params: data
        })
    },
    //修改广告发布储存
    modifyAdvertisingStorage(data) {
        return request({
            url: '/system/advertising/updateActivity',
            method: 'post',
            data
        })
    },
    //获取广告发布储存详细信息
    obtainAdvertisingStorage(data) {
        return request({
            url: `/system/advertising/${data}`,
            method: 'get',
        })
    },
}